Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d
Class AbstractGraphicsConfiguration

    java.lang.Object
      java.awt.GraphicsConfiguration
          org.apache.xmlgraphics.java2d.AbstractGraphicsConfiguration

Direct Known Subclasses:
  GraphicsConfigurationWithoutTransparency, GraphicsConfigurationWithTransparency

    public abstract class AbstractGraphicsConfiguration

extends GraphicsConfiguration

Adapter to allow subclassing java.awt.GraphicsConfiguration without compilation errors. The version for JDK 1.4 needs to add an override for the abstract createCompatibleVolatileImage() method. It can't be overidden for JDK 1.3 because there is no VolatileImage there.

Constructor Summary
`AbstractGraphicsConfiguration()`

Method Summary
`VolatileImage` | `createCompatibleVolatileImage(int width, int height)`
`VolatileImage` | `createCompatibleVolatileImage(int width, int height, int transparency)`

Methods inherited from class java.awt.GraphicsConfiguration
`createCompatibleImage, createCompatibleImage, createCompatibleVolatileImage, createCompatibleVolatileImage, getBounds, getBufferCapabilities, getColorModel, getColorModel, getDefaultTransform, getDevice, getImageCapabilities, getNormalizingTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractGraphicsConfiguration

    public AbstractGraphicsConfiguration()

Method Detail

### createCompatibleVolatileImage

    public VolatileImage createCompatibleVolatileImage(int width,
                                                       int height)

  Overrides:
    `createCompatibleVolatileImage` in class `GraphicsConfiguration`
  Since:
    JDK 1.4
  See Also:
    `GraphicsConfiguration.createCompatibleVolatileImage(int, int)`

### createCompatibleVolatileImage

    public VolatileImage createCompatibleVolatileImage(int width,
                                                       int height,
                                                       int transparency)

  Overrides:
    `createCompatibleVolatileImage` in class `GraphicsConfiguration`
  Since:
    JDK 1.5
  See Also:
    `GraphicsConfiguration.createCompatibleVolatileImage(int, int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.